using PkmnLib.Plugin.Gen7.Scripts.Pokemon;
using PkmnLib.Plugin.Gen7.Scripts.Status;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "thunder_fang")]
public class ThunderFang : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var random = move.Battle.Random;
        if (random.EffectChance(10, move, target, hit))
        {
            target.SetStatus(ScriptUtils.ResolveName<Paralyzed>(), move.User);
        }
        if (random.EffectChance(10, move, target, hit))
        {
            target.Volatile.Add(new FlinchEffect());
        }
    }
}